> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sobot.io/llms.txt
> Use this file to discover all available pages before exploring further.

# query_agent

> query_agent



## OpenAPI

````yaml api-reference/openapis/online-openapi.json post /api/5/user/query_agent
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://sg.sobot.io
security:
  - bearerAuth: []
paths:
  /api/5/user/query_agent:
    post:
      summary: query_agent
      description: query_agent
      parameters:
        - name: visitorid
          in: query
          description: 访客ID,由智齿生成，商户内唯一
          required: false
          schema:
            type: string
            nullable: false
        - name: partnerid
          in: query
          description: 对接ID,需要保证唯一性
          required: false
          schema:
            type: string
            nullable: false
        - name: from
          in: query
          description: 用户来源：0-开放平台，1-pc/h5/sdk,2-微信
          required: false
          schema:
            type: integer
            nullable: false
            default: 0
        - name: cid
          in: query
          description: 会话ID
          required: false
          schema:
            type: string
            nullable: false
        - name: timezone
          in: query
          description: 时区
          required: false
          schema:
            type: string
            nullable: false
        - name: name_flag
          in: query
          description: 是否需要返回用户昵称，1：需要，0：不需要
          required: false
          schema:
            type: integer
            nullable: false
      responses:
        '200':
          description: No Content
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````